## Application Window

Application Window — Base class for application windows

## Functions

GtkWidget * | font_manager_application_window_new ()
void | font_manager_application_window_show_about ()
void | font_manager_application_window_show_help ()
void | font_manager_application_window_restore_state ()

## Properties

GSettings * | settings | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_APPLICATION_WINDOW
struct | FontManagerApplicationWindowClass
| FontManagerApplicationWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkWindow
                    ╰── GtkApplicationWindow
                        ╰── FontManagerApplicationWindow

## Implemented Interfaces

FontManagerApplicationWindow implements GtkAccessible, GtkBuildable, GtkConstraintTarget, GtkNative, GtkShortcutManager, GtkRoot, GActionGroup and GActionMap.

## Includes

    #include <font-manager-application-window.h>

## Description

Base class for application windows. Sets up common keyboard shortcuts and provides for saving and restoring state.

## Functions

### font_manager_application_window_new ()

    GtkWidget *
    font_manager_application_window_new (GSettings *settings);

The following keys MUST be present in `settings` :

- window-size : (int, int)

- is-maximized : boolean

#### Parameters

settings | Gsettings instance to use or `NULL` |

#### Returns

A newly created FontManagerApplicationWindow Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_application_window_show_about ()

    void
    font_manager_application_window_show_about
                                   (FontManagerApplicationWindow *self);

Show "About" dialog

#### Parameters

self | FontManagerApplicationWindow |

### font_manager_application_window_show_help ()

    void
    font_manager_application_window_show_help
                                   (FontManagerApplicationWindow *self);

Attempts to launch default help application (Yelp)

#### Parameters

self | FontManagerApplicationWindow |

### font_manager_application_window_restore_state ()

    void
    font_manager_application_window_restore_state
                                   (FontManagerApplicationWindow *self);

#### Parameters

self | FontManagerApplicationWindow |

## Types and Values

### FONT_MANAGER_TYPE_APPLICATION_WINDOW

    #define FONT_MANAGER_TYPE_APPLICATION_WINDOW (font_manager_application_window_get_type())

### struct FontManagerApplicationWindowClass

    struct FontManagerApplicationWindowClass {
        GtkApplicationWindowClass parent_class;
    };

### FontManagerApplicationWindow

    typedef struct _FontManagerApplicationWindow FontManagerApplicationWindow;

## Property Details

### The `“settings”` property

      “settings”                 GSettings *

The following keys MUST be present in `settings` :

- window-size : (int, int)

- is-maximized : boolean

Owner: FontManagerApplicationWindow

Flags: Read / Write